from __future__ import unicode_literals
import os

curdir = os.path.abspath(os.path.dirname(__file__))

## Client Daemon
client_daemon_ip = "0.0.0.0"
client_daemon_port = 1100
client_daemon_name = "localhost"

## Server
server_daemon_ip = "localhost"
server_daemon_port = 1101

# SSL configuration
key_file = os.path.join(curdir, 'ssl', 'localhost.key')
cert_file = os.path.join(curdir, 'ssl', 'localhost.pem')
ca_cert = os.path.join(curdir, 'ssl', 'ca-cert.pem')

# NOTE: Do NOT enter any configuration after this line, otherwise that
# configuration will override the configuration in test mode
if os.environ.has_key('OG_JOB_EXECUTER_CONFIG'):
    exec open(os.environ['OG_JOB_EXECUTER_CONFIG']).read()
